2014-01-19 02:50 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17971

Description

The new "Paste Features As" doesn't correctly handle PostGIS layers with a bigint columns. Attempting to paste features with a bigint

column results in the error:

"Cannot create field (int8,qlonglong)"

I've marked this as blocker since it's a new feature which isn't working as expected.

Associated revisions

Revision 22346cd3 - 2014-02-06 12:47 AM - Jürgen Fischer

memory provider: add more native types (fixes #9371)

History

#1 - 2014-01-20 01:48 PM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Category set to Vectors

#2 - 2014-01-26 05:59 PM - Jeremy Palmer

I also get a problem with int4 columns from a PostGIS source. Error is "Cannot create field id (int4,int)". PostGIS source table definition is:

CREATE TABLE parcels

(

  id integer NOT NULL,

  appellation character varying(2048),

  affected_surveys character varying(2048),

  parcel_intent character varying(100) NOT NULL,

  topology_type character varying(100) NOT NULL,

  statutory_actions character varying(4096),

  land_district character varying(100) NOT NULL,

  titles character varying(32768),

  survey_area numeric(20,4),

  calc_area numeric(20,0) NOT NULL,

  shape geometry(Geometry,4167),

  CONSTRAINT parcels_pkey PRIMARY KEY (id)

)

WITH (

  OIDS=FALSE
);

#3 - 2014-01-27 11:50 PM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#4 - 2014-02-05 03:48 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"22346cd3c7c4c670a26ae1e606f8b0a6d9a0a0a4".
